PaidGoods
API referenceStorefront growth

Gift cards issued by this store

GET
/v1/stores/{storeId}/gift-cards

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 200
Default25
state?string

Value in

  • "active"
  • "redeemed"
  • "disabled"
  • "expired"
q?string
Lengthlength <= 200

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/gift-cards"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last4": "string",      "initialMinor": -9007199254740991,      "availableMinor": -9007199254740991,      "currency": "string",      "state": "active",      "expired": true,      "source": "manual",      "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",      "recipientEmail": "string",      "note": "string",      "expiresAt": "string",      "redeemedAt": "string",      "redeemedByCustomerId": "cf5626ec-d004-4789-bf0c-bd50022ef31b",      "createdAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  }}